## GtrMessageTable

GtrMessageTable

## Functions

gboolean | (*GtrMessageTableNavigationFunc) ()
GType | gtr_message_table_register_type ()
GtkWidget * | gtr_message_table_new ()
void | gtr_message_table_populate ()
GtrMsg * | gtr_message_table_navigate ()
void | gtr_message_table_update_translation ()

## Types and Values

enum | GtrMessageTableNavigation

## Description

## Functions

### GtrMessageTableNavigationFunc ()

    gboolean
    (*GtrMessageTableNavigationFunc) (GtrMsg *msg);

#### Returns

### gtr_message_table_register_type ()

    GType
    gtr_message_table_register_type (GTypeModule *module);

#### Returns

### gtr_message_table_new ()

    GtkWidget *
    gtr_message_table_new (GtkWidget *tab);

Creates a new GtrMessageTable object.

#### Parameters

tab | a GtrTab |

#### Returns

the newly created GtrMessageTable

### gtr_message_table_populate ()

    void
    gtr_message_table_populate (GtrMessageTable *table,
                                GtrMessageContainer *container);

Populates the GtrMessageTable with the list of GtrMsg and sort them.

#### Parameters

table | a GtrMessageTable |
container | a list of GtrMsg |

### gtr_message_table_navigate ()

    GtrMsg *
    gtr_message_table_navigate (GtrMessageTable *table,
                                GtrMessageTableNavigation navigation,
                                GtrMessageTableNavigationFunc func);

#### Parameters

func | . | [scope call]

#### Returns

.

[transfer none]

### gtr_message_table_update_translation ()

    void
    gtr_message_table_update_translation (GtrMessageTable *table,
                                          GtrMsg *msg,
                                          gchar *translation);

## Types and Values

### enum GtrMessageTableNavigation

#### Members

GTR_NAVIGATE_PREV |  |
GTR_NAVIGATE_NEXT |  |
GTR_NAVIGATE_FIRST |  |
GTR_NAVIGATE_LAST |  |